Subject: bug#74700: [PATCH] Revert Dired buffer when clicking on last segment of directory name

From: Eli Zaretskii <[email-masked]>
Date: Thu, 05 Dec 2024 10:41:52 +0200

> From: Visuwesh <[email-masked]>
> Cc: [email-masked]
> Date: Thu, 05 Dec 2024 13:56:44 +0530
> 
> >> +        (when (search-forward ":" bound t)
> >> +          (add-text-properties
> >> +           segment-start (1- (point))
> >> +           `( mouse-face highlight
> >                ^^
> > We don't leave whitespace after the opening parenthesis.
> 
> I removed the whitespace.  But isn't that way to make lists such as
> 
>     ( 1
>       2
>       3)
> 
> aligned without manual intervention?

Typing something like

   (setq foo (1
              2
              3)

aligns the members for me.  So I don't think I understand what you are
saying here.

> >> +              keymap ,(define-keymap
> >> +                        "<mouse-2>" #'revert-buffer
> >> +                        "<follow-link>" 'follow-link
> >> +                        "RET" #'revert-buffer))))))))
> >
> > Should we perhaps call dired-revert directly?
> 
> revert-buffer-function is set to dired-revert by dired.  If someone has
> changed it, for some reason, using revert-buffer would heed their
> customisation.  So I've left it as revert-buffer.

That's exactly what I wonder: should we call whatever customized value
of revert-buffer-function?  It could be something completely
different, not a function that refreshes the directory listing.

What do people think about this?